{ pkgs ? import <nixpkgs> { }, src ? builtins.fetchGit
  "https://gitlab.freifunk-dresden.de/firmware-developer/firmware.git", }:

with pkgs;
let
  path = "feeds/19.07/feeds-own/bmxd";
  makefile = builtins.readFile "${src}/${path}/Makefile";
  makeDef = name:
    builtins.elemAt (builtins.match ''
      .*?${name}:=([^
      ]+).*?'' makefile) 0;
  name = makeDef "PKG_NAME";
  version = makeDef "PKG_VERSION";
  release = makeDef "PKG_RELEASE";
  patch = fetchurl {
    url =
      "https://gitlab.freifunk-dresden.de/firmware-developer/firmware/merge_requests/36.patch";
    sha256 = "10gm1fqg2s8c261i0j1py3sfyyzr0h5b6wwdsgg3icn7lfjd6k75";
  };
in stdenv.mkDerivation {
  name = "${name}-${version}-${release}";
  inherit src;
  patches = [ patch ];
  buildPhase = "cd ${path}/sources";
  installPhase = ''
    make install SBINDIR=$out/sbin
  '';
}
